Package org.springframework.security.crypto.util

## Class EncodingUtils

- java.lang.Object
- - org.springframework.security.crypto.util.EncodingUtils

    public final class EncodingUtils
    extends java.lang.Object

Static helper for encoding data.

For internal use only.

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `concatenate​(byte[]... arrays)` Combine the individual byte arrays into one array.
`static byte[]` `subArray​(byte[] array, int beginIndex, int endIndex)` Extract a sub array of bytes out of the byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### concatenate

    public static byte[] concatenate​(byte[]... arrays)

Combine the individual byte arrays into one array.

#### subArray

    public static byte[] subArray​(byte[] array,
                                  int beginIndex,
                                  int endIndex)

Extract a sub array of bytes out of the byte array.

Parameters:
  `array` - the byte array to extract from
  `beginIndex` - the beginning index of the sub array, inclusive
  `endIndex` - the ending index of the sub array, exclusive